You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@commons.apache.org by ec...@apache.org on 2015/09/30 19:40:18 UTC

svn commit: r1706095 - /commons/proper/vfs/trunk/core/src/main/utils/create_archives.sh

Author: ecki
Date: Wed Sep 30 17:40:18 2015
New Revision: 1706095

URL: http://svn.apache.org/viewvc?rev=1706095&view=rev
Log:
Align utility to dir structure.

Modified:
    commons/proper/vfs/trunk/core/src/main/utils/create_archives.sh

Modified: commons/proper/vfs/trunk/core/src/main/utils/create_archives.sh
URL: http://svn.apache.org/viewvc/commons/proper/vfs/trunk/core/src/main/utils/create_archives.sh?rev=1706095&r1=1706094&r2=1706095&view=diff
==============================================================================
--- commons/proper/vfs/trunk/core/src/main/utils/create_archives.sh (original)
+++ commons/proper/vfs/trunk/core/src/main/utils/create_archives.sh Wed Sep 30 17:40:18 2015
@@ -15,6 +15,8 @@
 ##   See the License for the specific language governing permissions and
 ##   limitations under the License.
 
+set -e
+
 PRG="$0"
 
 while [ -h "$PRG" ]; do
@@ -30,9 +32,9 @@ done
 # Get standard environment variables
 PRGDIR=`dirname "$PRG"`
 
-cd $PRGDIR/../..
+cd $PRGDIR/../../..
 
-if [ ! -d target/test-data/read-tests ]
+if [ ! -d target/test-classes/test-data/read-tests ]
 then
 	echo "Please run maven to have the environment setup correctly"
 	exit 1
@@ -53,8 +55,13 @@ then
 	echo "cant execute zip?"
 	exit 1
 fi
+if [ ! -x "`type -p bzip2`" ]
+then
+        echo "cant execute bzip2?"
+        exit 1
+fi
 
-cd target/test-data
+cd target/test-classes/test-data
 
 rm -f test.jar test.tar test.tbz2 test.tgz test.zip
 rm -f nested.jar nested.tar nested.tbz2 nested.tgz nested.zip
@@ -91,5 +98,8 @@ zip nested.zip test.zip
 
 for i in test.jar test.tar test.tbz2 test.tgz test.zip nested.jar nested.tar nested.tbz2 nested.tgz nested.zip
 do
-	cp $i ../../src/test-data/$i
+	cp $i ../../../src/test/resources/test-data/$i
 done
+
+echo Done.
+